Skip to main content
GET
List External Cards

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

business_id
string<uuid>[]
customer_id
string<uuid>[]
from_creation_time
string<date-time>
from_deletion_time
string<date-time>
from_last_updated_time
string<date-time>
id
string<uuid>[]
last_four
string[]
name
string[]
name_like
string

Case sensitive wildcard search for name, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.

payment_account_reference
string[]
status
enum<string>[]

Status of an External Card

Available options:
ACTIVE,
SUSPENDED,
DELETED
status_neq
enum<string>

Status of an External Card

Available options:
ACTIVE,
SUSPENDED,
DELETED
tenant
string[]

The id of the tenant containing the resource.

to_creation_time
string<date-time>
to_deletion_time
string<date-time>
to_last_updated_time
string<date-time>

Response

External Card list

external_cards
object[]
required

Array of External Cards

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"